## qmlog 0.10-maemo0

=== examples/Makefile ===
#############################################################################
# Makefile for building: examples
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Sep 8 18:42:30 2012
# Project:  examples.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -o Makefile examples.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-application

application/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) application/ || $(MKDIR) application/ 
	cd application/ && $(QMAKE) /home/marcin/meecolay/libs/libqmlog/meego-middleware-qmlog/examples/application/application.pro -o $(MAKEFILE)
sub-application-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) application/ || $(MKDIR) application/ 
	cd application/ && $(QMAKE) /home/marcin/meecolay/libs/libqmlog/meego-middleware-qmlog/examples/application/application.pro -o $(MAKEFILE)
sub-application: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE)
sub-application-make_default: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) 
sub-application-make_first: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) first
sub-application-all: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) all
sub-application-clean: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) clean
sub-application-distclean: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) distclean
sub-application-install_subtargets: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) install
sub-application-uninstall_subtargets: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: examples.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile examples.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile examples.pro

qmake_all: sub-application-qmake_all FORCE

make_default: sub-application-make_default FORCE
make_first: sub-application-make_first FORCE
all: sub-application-all FORCE
clean: sub-application-clean FORCE
distclean: sub-application-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-application-install_subtargets FORCE
uninstall_subtargets: sub-application-uninstall_subtargets FORCE

sub-application-check: application/$(MAKEFILE)
	cd application/ && $(MAKE) check
check: sub-application-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
